Bug 6228 - Show active currency in system preferences
Summary: Show active currency in system preferences
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-20 22:33 UTC by Katrin Fischer
Modified: 2011-10-24 14:39 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (3.24 KB, patch)
2011-04-20 22:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
Signed-off patch (3.26 KB, patch)
2011-04-25 09:26 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-04-20 22:33:28 UTC
The .pref files for system preferences include template code to show the Code for the active currency behind some of the system preferences.

Example:

Prevent patrons from making holds on the OPAC if they owe more than ___ EUR in fines. 

At the moment the currency doesn't show up at all. To make it work it has to be changed to TT code.

This patch will cause a string change in the po files and should be pushed for 3.4.1 when po files will be upated again for translation.
Comment 1 Katrin Fischer 2011-04-20 22:42:13 UTC
Created attachment 3961 [details] [review]
proposed patch
Comment 2 Magnus Enger 2011-04-25 09:26:52 UTC
Created attachment 3996 [details] [review]
Signed-off patch

Works as advertised. (After activating a currency in Home › Administration › Currencies & Exchange Rates › Currencies)
Comment 3 Chris Cormack 2011-04-26 07:57:41 UTC
Patch pushed, please test
Comment 4 Katrin Fischer 2011-10-24 14:39:22 UTC
Works in 3.6